# QHistoryState Class Reference

### [com.trolltech.qt.core package]

Inherits QAbstractState.

### Constructor

- void QHistoryState(HistoryType type, QState parent)
- void QHistoryState(QState parent)

### Constructor Properties

- prototype: The QHistoryState prototype object
- ShallowHistory
- DeepHistory
- HistoryType( value )

### Instance Properties

QHistoryState objects inherit properties from the QHistoryState prototype object and also have the following properties.

- defaultState
- historyType